All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.actionprovider.strategies.remotefile2
Class HttpRemoteFileActionStrategyFactory

    com.sas.actionprovider.strategies.remotefile2.HttpRemoteFileActionStrategyFactory

All Implemented Interfaces:
  HttpRemoteFileTableActionTypeKeysInterface, RemoteFileActionTypeKeysInterface, RemoteFileSelectorAreaInterface, HttpRelationalActionTypeKeysInterface, RelationalActionTypeKeysInterface, TableViewAreaInterface

    public class HttpRemoteFileActionStrategyFactory

implements TableViewAreaInterface, HttpRemoteFileTableActionTypeKeysInterface, HttpRelationalActionTypeKeysInterface, RemoteFileActionTypeKeysInterface, RemoteFileSelectorAreaInterface

Field Summary

Fields inherited from interface com.sas.actionprovider.support.tableview.TableViewAreaInterface
`COLUMN_HEADER_AREA, DATA_CELL_AREA, EDIT_COLUMN_AREA, EDIT_ROW_AREA, ROW_HEADER_AREA, TITLE_AREA`

Fields inherited from interface com.sas.actionprovider.support.remotefileselector2.HttpRemoteFileTableActionTypeKeysInterface
`COPY_ACTION, CUT_ACTION, EDIT_ACTIONS_ACTION, MOVE_ACTION, OPEN_FOLDER_ACTION, OPEN_FOLDER_IFILE_ACTION, PASTE_ACTION, RENAME_ACTION, SELECT_FILE_ACTION, SELECT_FILE_IFILE_ACTION`

Fields inherited from interface com.sas.actionprovider.support.tableview.HttpRelationalActionTypeKeysInterface
`CANCEL_ACTION, CLEAR_SORT_EDIT_ENABLED_ACTION, COLUMN_HEADER_ACTION, COMMIT_ACTION, COMMIT_DELETE_ACTION, DELETE_ACTION, INSERT_ACTION, MOVE_COLUMN_LEFT_EDIT_ENABLED_ACTION, MOVE_COLUMN_RIGHT_EDIT_ENABLED_ACTION, RESIZE_COLUMN_ACTION, SORT_COLUMN_ASCENDING_EDIT_ENABLED_ACTION, SORT_COLUMN_DESCENDING_EDIT_ENABLED_ACTION, UPDATE_ACTION`

Fields inherited from interface com.sas.actionprovider.support.tableview.RelationalActionTypeKeysInterface
`CALCULATED_ITEM_SELECTOR_ACTION, CLEAR_SORT_ACTION, EXCEPTION_HIGHLIGHTING_SELECTOR_ACTION, EXPORT_TO_ACTION, EXPORT_TO_EXCEL_ACTION, FILTER_SELECTOR_ACTION, FORMAT_SELECTOR_ACTION, MOVE_COLUMN_LEFT_ACTION, MOVE_COLUMN_RIGHT_ACTION, PERCENT_CALCULATIONS_SELECTOR_ACTION, QUERY_SELECTOR_ACTION, RANKING_SELECTOR_ACTION, SORT_COLUMN_ASCENDING_ACTION, SORT_COLUMN_DESCENDING_ACTION, SORT_SELECTOR_ACTION, TOTALS_SELECTOR_ACTION`

Fields inherited from interface com.sas.actionprovider.support.remotefileselector2.RemoteFileActionTypeKeysInterface
`ADD_FOLDER_ACTION, DISPLAY_SEARCH_RESULTS_ACTION, FILTER_TYPE_ACTION, GO_BACK_ACTION, OPEN_FOLDER_ACTION, START_SEARCH_ACTION, UP_ONE_LEVEL_ACTION, VIEW_SELECTION_ACTION`

Fields inherited from interface com.sas.actionprovider.support.remotefileselector2.RemoteFileSelectorAreaInterface
`COMBO_AREA, DRILL_DOWN_AREA, FILTER_TYPE_AREA, SEARCH_BUTTON_AREA, TOOLBAR_AREA, TREE_AREA`

Constructor Summary
`HttpRemoteFileActionStrategyFactory()`

Method Summary
`static ActionStrategyInterface` | `getActionStrategy(java.lang.String areaType, java.lang.String actionType, boolean fromCache)`

Constructor Detail

### HttpRemoteFileActionStrategyFactory

    public HttpRemoteFileActionStrategyFactory()

Method Detail

### getActionStrategy

    public static ActionStrategyInterface getActionStrategy(java.lang.String areaType,
                                                            java.lang.String actionType,
                                                            boolean fromCache)

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.